zenilib: zenilib/jni/external/freetype2/src/pfr/pfrload.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Macros | Functions | Variables
pfrload.c File Reference
`#include "pfrload.h"`
`#include <FT_INTERNAL_DEBUG_H>`
`#include <FT_INTERNAL_STREAM_H>`
`#include "pfrerror.h"`

Go to the source code of this file.

## Macros

#define | FT_COMPONENT trace_pfr
#define | FT_STRUCTURE PFR_HeaderRec

## Functions

static FT_Error | pfr_aux_name_load (FT_Byte *p, FT_UInt len, FT_Memory memory, FT_String **astring)
| pfr_extra_item_load_bitmap_info (FT_Byte *p, FT_Byte *limit, PFR_PhyFont phy_font)
| pfr_extra_item_load_font_id (FT_Byte *p, FT_Byte *limit, PFR_PhyFont phy_font)
| pfr_extra_item_load_kerning_pairs (FT_Byte *p, FT_Byte *limit, PFR_PhyFont phy_font)
| pfr_extra_item_load_stem_snaps (FT_Byte *p, FT_Byte *limit, PFR_PhyFont phy_font)
| pfr_extra_items_parse (FT_Byte **pp, FT_Byte *limit, PFR_ExtraItem item_list, FT_Pointer item_data)
| pfr_extra_items_skip (FT_Byte **pp, FT_Byte *limit)
| pfr_header_check (PFR_Header header)
| pfr_header_load (PFR_Header header, FT_Stream stream)
| pfr_log_font_count (FT_Stream stream, FT_UInt32 section_offset, FT_UInt *acount)
| pfr_log_font_load (PFR_LogFont log_font, FT_Stream stream, FT_UInt idx, FT_UInt32 section_offset, FT_Bool size_increment)
| pfr_phy_font_done (PFR_PhyFont phy_font, FT_Memory memory)
| pfr_phy_font_load (PFR_PhyFont phy_font, FT_Stream stream, FT_UInt32 offset, FT_UInt32 size)

## Variables

static const FT_Frame_Field | pfr_header_fields []
static const PFR_ExtraItemRec | pfr_phy_font_extra_items []

## Macro Definition Documentation

#define FT_COMPONENT trace_pfr

Definition at line 26 of file pfrload.c.

#define FT_STRUCTURE PFR_HeaderRec

## Function Documentation

static FT_Error pfr_aux_name_load | ( | FT_Byte * | p,
|  | FT_UInt | len,
|  | FT_Memory | memory,
|  | FT_String ** | astring
| ) |  |

static

Definition at line 629 of file pfrload.c.

References error, FT_ALLOC, FT_MEM_COPY, and NULL.

Referenced by pfr_phy_font_load().

pfr_extra_item_load_bitmap_info | ( | FT_Byte * | p,
|  | FT_Byte * | limit,
|  | PFR_PhyFont | phy_font
| ) |  |

Definition at line 348 of file pfrload.c.

References PFR_StrikeRec_::bct_offset, PFR_StrikeRec_::bct_size, error, PFR_StrikeRec_::flags, FT_ERROR, FT_PAD_CEIL, FT_RENEW_ARRAY, PFR_StrikeRec_::num_bitmaps, PFR_CHECK, PFR_NEXT_BYTE, PFR_NEXT_ULONG, PFR_NEXT_USHORT, PFR_STRIKE_2BYTE_COUNT, PFR_STRIKE_2BYTE_XPPM, PFR_STRIKE_2BYTE_YPPM, PFR_STRIKE_3BYTE_OFFSET, PFR_STRIKE_3BYTE_SIZE, PFR_StrikeRec_::x_ppm, and PFR_StrikeRec_::y_ppm.

pfr_extra_item_load_font_id | ( | FT_Byte * | p,
|  | FT_Byte * | limit,
|  | PFR_PhyFont | phy_font
| ) |  |

Definition at line 448 of file pfrload.c.

References error, FT_ALLOC, FT_MEM_COPY, and NULL.

pfr_extra_item_load_kerning_pairs | ( | FT_Byte * | p,
|  | FT_Byte * | limit,
|  | PFR_PhyFont | phy_font
| ) |  |

Definition at line 519 of file pfrload.c.

References PFR_KernItemRec_::base_adj, error, PFR_KernItemRec_::flags, FT_ERROR, FT_FREE, FT_NEW, FT_TRACE2, PFR_KernItemRec_::next, NULL, PFR_KernItemRec_::offset, PFR_KernItemRec_::pair1, PFR_KernItemRec_::pair2, PFR_KernItemRec_::pair_count, PFR_KernItemRec_::pair_size, PFR_CHECK, PFR_KERN_2BYTE_ADJ, PFR_KERN_2BYTE_CHAR, PFR_KERN_INDEX, PFR_NEXT_BYTE, PFR_NEXT_SHORT, and PFR_NEXT_USHORT.

pfr_extra_item_load_stem_snaps | ( | FT_Byte * | p,
|  | FT_Byte * | limit,
|  | PFR_PhyFont | phy_font
| ) |  |

Definition at line 474 of file pfrload.c.

References error, FT_ERROR, FT_NEW_ARRAY, FT_NEXT_SHORT, NULL, PFR_CHECK, and PFR_NEXT_BYTE.

pfr_extra_items_parse | ( | FT_Byte ** | pp,
|  | FT_Byte * | limit,
|  | PFR_ExtraItem | item_list,
|  | FT_Pointer | item_data
| ) |  |

Definition at line 47 of file pfrload.c.

References error, FT_ERROR, NULL, PFR_ExtraItemRec_::parser, PFR_CHECK, PFR_NEXT_BYTE, pp, and PFR_ExtraItemRec_::type.

Referenced by pfr_extra_items_skip(), and pfr_phy_font_load().

pfr_extra_items_skip | ( | FT_Byte ** | pp,
|  | FT_Byte * | limit
| ) |  |

Definition at line 39 of file pfrload.c.

References NULL, and pfr_extra_items_parse().

Referenced by pfr_glyph_load_compound(), pfr_glyph_load_simple(), and pfr_log_font_load().

pfr_header_check | ( | PFR_Header | header | ) |

Definition at line 173 of file pfrload.c.

References FT_Bool.

Referenced by pfr_face_init().

pfr_header_load | ( | PFR_Header | header,
|  | FT_Stream | stream
| ) |  |

Definition at line 153 of file pfrload.c.

References error, FT_STREAM_READ_FIELDS, and FT_STREAM_SEEK.

Referenced by pfr_face_init().

pfr_log_font_count | ( | FT_Stream | stream,
|  | FT_UInt32 | section_offset,
|  | FT_UInt * | acount
| ) |  |

Definition at line 200 of file pfrload.c.

References error, FT_READ_USHORT, and FT_STREAM_SEEK.

Referenced by pfr_face_init().

pfr_log_font_load | ( | PFR_LogFont | log_font,
|  | FT_Stream | stream,
|  | FT_UInt | idx,
|  | FT_UInt32 | section_offset,
|  | FT_Bool | size_increment
| ) |  |

Definition at line 221 of file pfrload.c.

References error, FT_ERROR, FT_FRAME_ENTER, FT_FRAME_EXIT, FT_READ_UOFF3, FT_READ_USHORT, FT_STREAM_SEEK, FT_STREAM_SKIP, local, PFR_CHECK, pfr_extra_items_skip(), PFR_LINE_JOIN_MASK, PFR_LINE_JOIN_MITER, PFR_LOG_2BYTE_BOLD, PFR_LOG_2BYTE_STROKE, PFR_LOG_BOLD, PFR_LOG_EXTRA_ITEMS, PFR_LOG_STROKE, PFR_NEXT_BYTE, PFR_NEXT_LONG, PFR_NEXT_SHORT, PFR_NEXT_ULONG, and PFR_NEXT_USHORT.

Referenced by pfr_face_init().

pfr_phy_font_done | ( | PFR_PhyFont | phy_font,
|  | FT_Memory | memory
| ) |  |

Definition at line 668 of file pfrload.c.

References FT_FREE, PFR_KernItemRec_::next, and NULL.

Referenced by pfr_face_done().

pfr_phy_font_load | ( | PFR_PhyFont | phy_font,
|  | FT_Stream | stream,
|  | FT_UInt32 | offset,
|  | FT_UInt32 | size
| ) |  |

Definition at line 712 of file pfrload.c.

References PFR_CharRec_::advance, PFR_CharRec_::char_code, error, FT_ERROR, FT_FRAME_ENTER, FT_FRAME_EXIT, FT_NEW_ARRAY, FT_STREAM_POS, FT_STREAM_SEEK, PFR_CharRec_::gps_offset, PFR_CharRec_::gps_size, NULL, pfr_aux_name_load(), PFR_CHECK, pfr_extra_items_parse(), PFR_NEXT_BYTE, PFR_NEXT_SHORT, PFR_NEXT_ULONG, PFR_NEXT_USHORT, PFR_PHY_2BYTE_CHARCODE, PFR_PHY_2BYTE_GPS_SIZE, PFR_PHY_3BYTE_GPS_OFFSET, PFR_PHY_ASCII_CODE, PFR_PHY_EXTRA_ITEMS, and PFR_PHY_PROPORTIONAL.

Referenced by pfr_face_init().

## Variable Documentation

const FT_Frame_Field pfr_header_fields[]

static

Definition at line 107 of file pfrload.c.

const PFR_ExtraItemRec pfr_phy_font_extra_items[]

static

Initial value:
=
{
{ 1, (PFR_ExtraItem_ParseFunc)pfr_extra_item_load_bitmap_info },
{ 2, (PFR_ExtraItem_ParseFunc)pfr_extra_item_load_font_id },
{ 3, (PFR_ExtraItem_ParseFunc)pfr_extra_item_load_stem_snaps },
{ 4, (PFR_ExtraItem_ParseFunc)pfr_extra_item_load_kerning_pairs },
{ 0, NULL }
}
pfr_extra_item_load_stem_snaps
pfr_extra_item_load_stem_snaps(FT_Byte *p, FT_Byte *limit, PFR_PhyFont phy_font)
Definition: pfrload.c:474
NULL
#define NULL
Definition: ftobjs.h:61
PFR_ExtraItem_ParseFunc
FT_Error(* PFR_ExtraItem_ParseFunc)(FT_Byte *p, FT_Byte *limit, FT_Pointer data)
Definition: pfrload.h:49
pfr_extra_item_load_bitmap_info
pfr_extra_item_load_bitmap_info(FT_Byte *p, FT_Byte *limit, PFR_PhyFont phy_font)
Definition: pfrload.c:348
pfr_extra_item_load_kerning_pairs
pfr_extra_item_load_kerning_pairs(FT_Byte *p, FT_Byte *limit, PFR_PhyFont phy_font)
Definition: pfrload.c:519
pfr_extra_item_load_font_id
pfr_extra_item_load_font_id(FT_Byte *p, FT_Byte *limit, PFR_PhyFont phy_font)
Definition: pfrload.c:448

Definition at line 615 of file pfrload.c.